Waiting for engine...
Skip to main content

Boomi MFT - AFT Management API Reference (v1) - OrganizationSubscriptions

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

OrganizationSubscriptions

Retrieve organization subscriptions list

Gets a list of all subscriptions for the specified organization

Authorizations:
ApiKeyBearer
query Parameters
organizationId
required
integer <int32>

Responses

Response Schema:
Array
id
integer <int32>
isEnabled
boolean
tenantId
integer <int32>
organizationId
integer <int32>
organizationName
string or null
organizationStatus
string or null
flowId
integer <int32>
flowName
string or null
isPublished
boolean
isIPaaSSubscription
boolean
retentionPolicyTypeId
integer <int32>
connectorId
integer <int32>
code
string or null
description
string or null
flowStatus
string or null
retentionPolicy
string or null
connectorName
string or null
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
contactId
integer or null <int32>

Response samples

Content type
No sample

Retrieve subscription options list

Gets a list of available subscription options for the specified organization

Authorizations:
ApiKeyBearer
query Parameters
organizationId
required
integer <int32>

Responses

Response Schema:
Array
id
integer <int32>
isEnabled
boolean
flowId
integer <int32>
flowName
string or null
tenantId
integer <int32>
organizationId
integer <int32>
organizationName
string or null
organizationStatusId
integer <int32>
publicCode
string or null
subscriberCount
integer or null <int32>
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>
description
string or null
flowStatus
string or null
orgStatus
string or null

Response samples

Content type
No sample

Create organization subscription

Creates a new subscription for an organization to a flow

Authorizations:
ApiKeyBearer
Request Body schema:
required
id
integer <int32>
flowId
integer <int32>
organizationId
integer <int32>

Responses

Response Schema:
id
integer <int32>
flowId
integer <int32>
organizationId
integer <int32>
isEnabled
boolean
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
{
  • "id": 0,
  • "flowId": 0,
  • "organizationId": 0
}

Response samples

Content type
No sample

Create multiple organization subscriptions

Creates multiple subscriptions for an organization to flows in a single operation

Authorizations:
ApiKeyBearer
Request Body schema:
required
Array
id
integer <int32>
flowId
integer <int32>
organizationId
integer <int32>

Responses

Response Schema:
Array
id
integer <int32>
flowId
integer <int32>
organizationId
integer <int32>
isEnabled
boolean
createdBy
string or null
createdDate
string or null <date-time>
updatedBy
string or null
updatedDate
string or null <date-time>
deletedBy
string or null
deletedDate
string or null <date-time>

Request samples

Content type
[
  • {
    • "id": 0,
    • "flowId": 0,
    • "organizationId": 0
    }
]

Response samples

Content type
No sample

Delete organization subscription

Deletes an existing subscription by subscription ID

Authorizations:
ApiKeyBearer
query Parameters
subscriptionId
required
integer <int32>

Responses

Response Schema:
any

Response samples

Content type
No sample